package com.zjrs.zwnw.bsdb.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.bsdb.dto.*;
import com.zjrs.zwnw.bsdb.po.RsBsdbDbsxPo;

import java.util.List;
import java.util.Map;

@Mapper
public interface DbsxMapper extends BaseMapper<RsBsdbDbsxPo> {

    public String getSeq();

    public Page<VRsSlxxRemaindateDTO> queryDbglTimeoutList(Page<VRsSlxxRemaindateDTO> page, @Param("dto") VRsSlxxRemaindatePageQueryDTO dto);

    public Page<DbglDTO> queryDbglList(Page<DbglDTO> page, @Param("dto") DbglPageQueryDTO dto);

    public void insertDbglSms(@Param("dto") DbglSmsDTO dto);

    public Page<DbglDTO> queryReportformsList(Page<DbglDTO> page, @Param("dto") DbglPageQueryDTO dto);

    public Map<String, Object> queryStatisForDbsxhj(@Param("dto") DbglReportFormsQueryDTO dto);

    public List<Map<String, Object>> queryStatisForDbsxfltj(@Param("dto") DbglReportFormsQueryDTO dto);

    public List<Map<String, Object>> queryStatisForDbsxzttj(@Param("dto") DbglReportFormsQueryDTO dto);

    public List<Map<String, Object>> queryStatisForYwsxfltj(@Param("dto") DbglReportFormsQueryDTO dto);

    public List<Map<String, Object>> queryGgfwDictForList(@Param("params") Map<String, String> params);

    public List<Map<String, Object>> queryStatisForFzdwsxtj(@Param("dto") DbglReportFormsQueryDTO dto);

    public List<Map<String, Object>> queryBsdbSysOrgForList(@Param("params") Map<String, String> params);

    public List<TreeNodeDTO> querySSgOrgList(@Param("params") Map<String, Object> params);

    public List<TreeNodeDTO> querySSgUserList();

    public SmsUserDTO querySSgUser(@Param("id") String id);

    public Page<DbglDTO> queryDbglWorkspaceDbList(Page<DbglDTO> page, @Param("dto") DbglPageQueryDTO dto);

    public Page<DbglDTO> queryDbglWorkspaceYbList(Page<DbglDTO> page, @Param("dto") DbglPageQueryDTO dto);

    public List<DictDTO> queryUserOrg(@Param("params") Map<String, Object> params);

    public String queryUserAreaId(@Param("id") String userOrgId);

    public String querySSgUserOrgId(@Param("id") String userid);

    public String getCurrentTaskCqzt(@Param("id") String id);
}
